/*
 * @Author: zc
 * @description 业务办理-中心待办件
 */
import request from '@/utils/request';
/**
 * @description 中心待办件基础信息
 * @param {object} params
 */
export const centerTodoBase = (params?: object) => {
  return request({
    url: `/api/v1/Order/waited/center/base`,
    method: 'get',
    params
  });
}
/**
 * @description 中心待办件
 * @param {object} params
 */
export const centerTodo = (params: object) => {
  return request({
    url: `/api/v1/Order/waited/center`,
    method: 'get',
    params
  });
}
/**
 * @description 查询工单待办理人
 * @param {string} orderId
 */
export const migrationOrder = (orderId: string) => {
  return request({
    url: `/api/v1/Order/migration/${orderId}`,
    method: 'get',
  });
}
/**
 * @description 平级移动保存(中心待办)
 * @param {object} data
 */
export const migrationOrderChange = (data: object) => {
  return request({
    url: `/api/v1/Order/change-handler`,
    method: 'post',
    data
  });
}
/**
 * @description 查询发布平移待办理人
 */
export const migrationOrderList = () => {
  return request({
    url: `/api/v1/Order/published/migration`,
    method: 'get',
  });
}
/**
 * @description 发布平移
 * @param {object} data
 */
export const migrationOrderPublish = (data: object) => {
  return request({
    url: `/api/v1/Order/publish/migration`,
    method: 'post',
    data
  });
}
/**
 * @description 回访平移
 * @param {object} data
 */
export const migrationOrderVisit = (data: object) => {
  return request({
    url: `/api/v1/Order/visit/migration`,
    method: 'post',
    data
  });
}
/**
 * @description 查询回访平移待办理人
 */
export const migrationOrderVisitList = () => {
  return request({
    url: `/api/v1/Order/ordervisit/migration`,
    method: 'get',
  });
}